From: Colin Watson <cjwatson@debian.org>
Date: Sun, 29 Dec 2024 00:47:01 +0000
Subject: Handle building docs without installation

Forwarded: not-needed
Last-Update: 2024-12-29
---
 docs/conf.py | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/docs/conf.py b/docs/conf.py
index 47faeb1..363c503 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -1,3 +1,5 @@
+import os
+
 from pallets_sphinx_themes import get_version
 from pallets_sphinx_themes import ProjectLink
 
@@ -6,7 +8,11 @@ from pallets_sphinx_themes import ProjectLink
 project = "Click"
 copyright = "2014 Pallets"
 author = "Pallets"
-release, version = get_version("Click")
+if "DEB_VERSION_UPSTREAM" in os.environ:
+    version = os.environ["DEB_VERSION_UPSTREAM"]
+    release = f"{version.split('.', 2)[:2]}.x"
+else:
+    release, version = get_version("Click")
 
 # General --------------------------------------------------------------
 
